Bug 121803 - authentication-dialogue is put behind konqueror's window.
Summary: authentication-dialogue is put behind konqueror's window.
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-12 00:06 UTC by S. Burmeister
Modified: 2008-08-19 12:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2006-02-12 00:06:47 UTC
Version:            (using KDE KDE 3.5.1)
Installed from:    SuSE RPMs
OS:                Linux

When I get on phpMyAdmin and log out, konqueror pops up a dialogue that states: Authentication failed: [Try again] [Cancel].

This dialogue is put behind the actual konqueror window.

Expected behaviour would be to place it on top.
Comment 1 Thiago Macieira 2006-02-13 19:28:14 UTC
Probably over-eager focus-stealing-prevention settings, but I don't know for sure.
Comment 2 S. Burmeister 2006-02-14 09:28:20 UTC
The kwallet-dialogue is always kept on top. Why not do it for this dialogue too?
Comment 3 Martin Steigerwald 2006-03-23 15:37:16 UTC
This happened to me too today... and it took 15 minutes or longer for me to find out that there was some authorization window floating around.
Comment 4 Philip Rodrigues 2006-09-25 14:58:27 UTC
Is there some way we can try to reproduce this problem? Is there a test site?
Comment 5 S. Burmeister 2006-09-25 17:32:06 UTC
If you have phpMyAdmin, log-in using kwallet, click on log-out on the phpMyAdmin start-page. If kwallet is asked for a password, the dialogue will appear behind the konqueror-window with phpMyAdmin in it.
Comment 6 Thierry Vignaud 2007-04-19 14:53:38 UTC
To comment #2: it's not true (eg: on another desktop) and is not enough (see bug #144423)
Comment 7 Andre Duffeck 2008-08-19 12:06:52 UTC
Fixed in svn (what will be KDE 3.5.10).